Net::Jabber::Loudmouth::SSL(3pm)

NAME
Net::Jabber::Loudmouth::SSL - SSL handling for Net::Jabber::Loudmouth

HIERARCHY
  Glib::Boxed
  +----Net::Jabber::Loudmouth::SSL

METHODS

  ssl = Net::Jabber::Loudmouth::SSL->new ($ssl_cb, $user_data=undef, $expected_fingerprint=undef)

•   $ssl_cb (scalar)

•   $user_data (scalar)

•   $expected_fingerprint (string)

  string = $ssl->get_fingerprint

  boolean = Net::Jabber::Loudmouth::SSL->is_supported

SEE ALSO
Net::Jabber::Loudmouth, Glib::Boxed

COPYRIGHT
Copyright (C) 2005 by Florian Ragwitz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.